Skip to main content
GET
/
v1
/
admin
/
products
List products
curl --request GET \
  --url https://{operatorDomain}/v1/admin/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "slug": "<string>",
      "shortDescription": "<string>",
      "bookingMode": "<string>",
      "capacityMode": "<string>",
      "visibility": "<string>",
      "sellCurrency": "<string>",
      "sellAmountCents": 123,
      "startDate": "<string>",
      "endDate": "<string>",
      "pax": 123,
      "isFeatured": true
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Query Parameters

productTypeId
string
categoryId
string
tagId
string
sort
enum<string>
default:name
Available options:
name,
createdAt,
startDate,
price
direction
enum<string>
default:asc
Available options:
asc,
desc
limit
integer
default:20
offset
integer
default:0

Response

200 - application/json

Product list

data
object[]
total
integer
limit
integer
offset
integer